Allow --strict-warnings with the icc compiler as well
authorMeena Vyas <meena.vyas@oracle.com>
Thu, 24 Aug 2017 16:42:43 +0000 (02:42 +1000)
committerRichard Levitte <levitte@openssl.org>
Fri, 25 Aug 2017 06:05:13 +0000 (08:05 +0200)
Reviewed-by: Tim Hudson <tjh@openssl.org>
Reviewed-by: Richard Levitte <levitte@openssl.org>
(Merged from https://github.com/openssl/openssl/pull/4250)

Configure

index 7089362..60dc1f4 100755 (executable)
--- a/Configure
+++ b/Configure
@@ -1323,8 +1323,8 @@ if (defined($config{api})) {
 if ($strict_warnings)
        {
        my $wopt;
-       die "ERROR --strict-warnings requires gcc or clang"
-            unless $ecc eq 'gcc' || $ecc eq 'clang';
+       die "ERROR --strict-warnings requires gcc, clang or icc"
+            unless $ecc eq 'gcc' || $ecc eq 'clang' || $ecc eq 'icc';
        foreach $wopt (split /\s+/, $gcc_devteam_warn)
                {
                $config{cflags} .= " $wopt" unless ($config{cflags} =~ /(?:^|\s)$wopt(?:\s|$)/)